export default function({ comp }) {
  const {
    Forgejo: ForgejoIcon,
    Mastodon: MastodonIcon,
    Mail: MailIcon,
  } = comp.icons;

  return (
    <footer className="page-footer">
      {comp.separator()}
      <div className="social-links">
        <a href="https://code.fosterhangdaan.com/foster" title="Forgejo" target="_blank">
          <ForgejoIcon/>
        </a>
        <a href="https://mastodon.online/@foster" title="Mastodon" target="_blank">
          <MastodonIcon/>
        </a>
        <a href="mailto:foster@hangdaan.email" title="eMail">
          <MailIcon/>
        </a>
      </div>
      <p>Copyright &copy; 2023 Foster Hangdaan</p>
      <p>Made with <a href="https://deno.land/" target="_blank">Deno</a>, <a href="https://lume.land/" target="_blank">Lume</a>, <a href="https://www.typescriptlang.org/" target="_blank">TypeScript</a> and lots of <span className="heart">{ comp.icons.Heart() }</span>.</p>
    </footer>
  );
}
